<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Шаблон класса QCFType&lt; T &gt;</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#pub-static-methods">Открытые статические члены</a> &#124;
<a href="#pro-attribs">Защищенные данные</a> &#124;
<a href="classQCFType-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Шаблон класса QCFType&lt; T &gt;</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a>&gt;</code></p>
<div class="dynheader">
Граф связей класса QCFType&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classQCFType__coll__graph.png" border="0" usemap="#QCFType_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="QCFType_3_01T_01_4_coll__map" id="QCFType_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="5,95,121,121"/>
<area shape="rect" title=" " alt="" coords="44,5,83,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:ac0e99edf3ae1d00d88e31f3713bfdd2a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#ac0e99edf3ae1d00d88e31f3713bfdd2a">QCFType</a> (const T &amp;t=0)</td></tr>
<tr class="separator:ac0e99edf3ae1d00d88e31f3713bfdd2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b1c91b5a2491b37bf77b9508524bdf5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#a1b1c91b5a2491b37bf77b9508524bdf5">QCFType</a> (const <a class="el" href="classQCFType.html">QCFType</a> &amp;helper)</td></tr>
<tr class="separator:a1b1c91b5a2491b37bf77b9508524bdf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6b01a3494118735ecab6ab7ca5105d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#aeb6b01a3494118735ecab6ab7ca5105d">~QCFType</a> ()</td></tr>
<tr class="separator:aeb6b01a3494118735ecab6ab7ca5105d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c1d69800d4ad99b7d28c87dcae1513"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#ae1c1d69800d4ad99b7d28c87dcae1513">operator T</a> ()</td></tr>
<tr class="separator:ae1c1d69800d4ad99b7d28c87dcae1513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a524fc2c77da4752b0e81a08a02e45702"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classQCFType.html">QCFType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#a524fc2c77da4752b0e81a08a02e45702">operator=</a> (const <a class="el" href="classQCFType.html">QCFType</a> &amp;helper)</td></tr>
<tr class="separator:a524fc2c77da4752b0e81a08a02e45702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6e03e39078475f1d36aedaf1f1dbbc9"><td class="memItemLeft" align="right" valign="top">T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#ae6e03e39078475f1d36aedaf1f1dbbc9">operator&amp;</a> ()</td></tr>
<tr class="separator:ae6e03e39078475f1d36aedaf1f1dbbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Открытые статические члены</h2></td></tr>
<tr class="memitem:a5c212efec69957ed869e18c316f93124"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classQCFType.html">QCFType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#a5c212efec69957ed869e18c316f93124">constructFromGet</a> (const T &amp;t)</td></tr>
<tr class="separator:a5c212efec69957ed869e18c316f93124"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Защищенные данные</h2></td></tr>
<tr class="memitem:a65f51ccc77875a8f0f105602f2712500"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a></td></tr>
<tr class="separator:a65f51ccc77875a8f0f105602f2712500"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class QCFType&lt; T &gt;</h3>


<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00104">104</a></p>
</div><h2 class="groupheader">Конструктор(ы)</h2>
<a id="ac0e99edf3ae1d00d88e31f3713bfdd2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0e99edf3ae1d00d88e31f3713bfdd2a">&#9670;&nbsp;</a></span>QCFType() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::<a class="el" href="classQCFType.html">QCFType</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00107">107</a></p>
<div class="fragment"><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;{</div>
</div><!-- fragment -->
</div>
</div>
<a id="a1b1c91b5a2491b37bf77b9508524bdf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b1c91b5a2491b37bf77b9508524bdf5">&#9670;&nbsp;</a></span>QCFType() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::<a class="el" href="classQCFType.html">QCFType</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>helper</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00108">108</a></p>
<div class="fragment"><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;:</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keyword">inline</span> <a class="code" href="classQCFType.html#ac0e99edf3ae1d00d88e31f3713bfdd2a">QCFType</a>(<span class="keyword">const</span> T &amp;t = 0) : <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>(t) {}</div>
</div><!-- fragment -->
</div>
</div>
<a id="aeb6b01a3494118735ecab6ab7ca5105d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb6b01a3494118735ecab6ab7ca5105d">&#9670;&nbsp;</a></span>~QCFType()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::~<a class="el" href="classQCFType.html">QCFType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00109">109</a></p>
<div class="fragment"><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;: <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>(t) {}</div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Методы</h2>
<a id="a5c212efec69957ed869e18c316f93124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c212efec69957ed869e18c316f93124">&#9670;&nbsp;</a></span>constructFromGet()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classQCFType.html">QCFType</a> <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::constructFromGet </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00122">122</a></p>
<div class="fragment"><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                          { <span class="keywordflow">return</span> &amp;<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>; }</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keyword">static</span> <a class="code" href="classQCFType.html">QCFType</a> <a class="code" href="classQCFType.html#a5c212efec69957ed869e18c316f93124">constructFromGet</a>(<span class="keyword">const</span> T &amp;t)</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    {</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        CFRetain(t);</div>
</div><!-- fragment -->
</div>
</div>
<a id="ae1c1d69800d4ad99b7d28c87dcae1513"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c1d69800d4ad99b7d28c87dcae1513">&#9670;&nbsp;</a></span>operator T()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::operator T </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00110">110</a></p>
<div class="fragment"><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;: <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>(helper.type) { <span class="keywordflow">if</span> (<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>) CFRetain(<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>); }</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00128">QCFType&lt; T &gt;::type</a>.</p>

</div>
</div>
<a id="ae6e03e39078475f1d36aedaf1f1dbbc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6e03e39078475f1d36aedaf1f1dbbc9">&#9670;&nbsp;</a></span>operator&amp;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::operator&amp; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00121">121</a></p>
<div class="fragment"><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;{ <span class="keywordflow">return</span> &amp;<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>; }</div>
</div><!-- fragment -->
</div>
</div>
<a id="a524fc2c77da4752b0e81a08a02e45702"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a524fc2c77da4752b0e81a08a02e45702">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classQCFType.html">QCFType</a> <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>helper</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00111">111</a></p>
<div class="fragment"><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                      { <span class="keywordflow">if</span> (<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>) CFRelease(<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>); }</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keyword">inline</span> <span class="keyword">operator</span> T() { <span class="keywordflow">return</span> <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>; }</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keyword">inline</span> <a class="code" href="classQCFType.html">QCFType</a> <a class="code" href="classQCFType.html#a524fc2c77da4752b0e81a08a02e45702">operator =</a>(<span class="keyword">const</span> <a class="code" href="classQCFType.html">QCFType</a> &amp;helper)</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    {</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordflow">if</span> (helper.<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>)</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            CFRetain(helper.<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        CFTypeRef type2 = <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a> = helper.<a class="code" href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">type</a>;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        <span class="keywordflow">if</span> (type2)</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            CFRelease(type2);</div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Данные класса</h2>
<a id="a65f51ccc77875a8f0f105602f2712500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65f51ccc77875a8f0f105602f2712500">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classQCFType.html">QCFType</a>&lt; T &gt;::type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a> строка <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00128">128</a></p>

<p class="reference">Используется в <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00110">QCFType&lt; T &gt;::operator T()</a> и <a class="el" href="qxtwindowsystem__mac_8h_source.html#l00111">QCFType&lt; CFStringRef &gt;::operator=()</a>.</p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/<a class="el" href="qxtwindowsystem__mac_8h_source.html">qxtwindowsystem_mac.h</a></li>
</ul>
</div><!-- contents -->
<div class="ttc" id="aclassQCFType_html_a5c212efec69957ed869e18c316f93124"><div class="ttname"><a href="classQCFType.html#a5c212efec69957ed869e18c316f93124">QCFType::constructFromGet</a></div><div class="ttdeci">static QCFType constructFromGet(const T &amp;t)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00122">qxtwindowsystem_mac.h:122</a></div></div>
<div class="ttc" id="aclassQCFType_html_a65f51ccc77875a8f0f105602f2712500"><div class="ttname"><a href="classQCFType.html#a65f51ccc77875a8f0f105602f2712500">QCFType::type</a></div><div class="ttdeci">T type</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00128">qxtwindowsystem_mac.h:128</a></div></div>
<div class="ttc" id="aclassQCFType_html"><div class="ttname"><a href="classQCFType.html">QCFType</a></div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00104">qxtwindowsystem_mac.h:104</a></div></div>
<div class="ttc" id="aclassQCFType_html_ac0e99edf3ae1d00d88e31f3713bfdd2a"><div class="ttname"><a href="classQCFType.html#ac0e99edf3ae1d00d88e31f3713bfdd2a">QCFType::QCFType</a></div><div class="ttdeci">QCFType(const T &amp;t=0)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00107">qxtwindowsystem_mac.h:107</a></div></div>
<div class="ttc" id="aclassQCFType_html_a524fc2c77da4752b0e81a08a02e45702"><div class="ttname"><a href="classQCFType.html#a524fc2c77da4752b0e81a08a02e45702">QCFType::operator=</a></div><div class="ttdeci">QCFType operator=(const QCFType &amp;helper)</div><div class="ttdef"><b>Definition:</b> <a href="qxtwindowsystem__mac_8h_source.html#l00111">qxtwindowsystem_mac.h:111</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
